#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libvncserver
Version		:	0.9.14
Release		:	14.4.0.0%{?dist}
Summary		:	Library to make writing a VNC server easy
 
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://libvnc.github.io/

Source0		:	https://github.com/LibVNC/libvncserver/archive/LibVNCServer-%{version}.tar.gz
 


#-----------------------------------------------------------------------------
BuildRequires	:	SDL2
BuildRequires	:	elogind-devel
BuildRequires	:	ffmpeg-devel
BuildRequires	:	gcc-c++
BuildRequires	:	gnutls
BuildRequires	:	gtk2+
BuildRequires	:	libgcrypt
BuildRequires	:	libssh2-devel
BuildRequires	:	openssl-devel
BuildRequires	:	xorg-libXinerama
BuildRequires	:	xrandr

#-----------------------------------------------------------------------------
%description
LibVNCServer makes writing a VNC server (or more
correctly, a program exporting a frame-buffer via
the Remote Frame Buffer protocol) easy.
 
It hides the programmer from the tedious task of
managing clients and compression schemata.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS ChangeLog NEWS.md README.md
%{_libdir}/libvncclient.so.1
%{_libdir}/libvncclient.so.%{version}
%{_libdir}/%{name}.so.1
%{_libdir}/%{name}.so.%{version}

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/rfb/*.h
%{_libdir}/libvncclient.so
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libvncclient.pc
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/LibVNCServer/Lib*.cmake

#=============================================================================
%prep
%setup -q -n %{name}-LibVNCServer-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-S .							\
	-B bld							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\
	-C bld							\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C bld						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
